# azure.mgmt.billing.operations module

class `azure.mgmt.billing.operations.``EnrollmentAccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EnrollmentAccountsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. The current version is 2018-03-01-preview. Constant value: “2018-03-01-preview”.

  `get`(name, custom_headers=None, raw=False, **operation_config)

    Gets a enrollment account by name.

    Parameters:

    - name (str) – Enrollment Account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EnrollmentAccount or ClientRawResponse if raw=true
    Return type: | EnrollmentAccount or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists the enrollment accounts the caller has access to.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EnrollmentAccount
    Return type: | EnrollmentAccountPaged[EnrollmentAccount]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.billing.models' from '/usr/lib/python3/dist-packages/azure/mgmt/billing/models/__init__.py'>

class `azure.mgmt.billing.operations.``BillingPeriodsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  BillingPeriodsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. The current version is 2018-03-01-preview. Constant value: “2018-03-01-preview”.

  `get`(billing_period_name, custom_headers=None, raw=False, **operation_config)

    Gets a named billing period. This is only supported for Azure Web-Direct subscriptions. Other subscription types which were not purchased directly through the Azure web portal are not supported through this preview API.

    Parameters:

    - billing_period_name (str) – The name of a BillingPeriod resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | BillingPeriod or ClientRawResponse if raw=true
    Return type: | BillingPeriod or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(filter=None, skiptoken=None, top=None, custom_headers=None, raw=False, **operation_config)

    Lists the available billing periods for a subscription in reverse chronological order. This is only supported for Azure Web-Direct subscriptions. Other subscription types which were not purchased directly through the Azure web portal are not supported through this preview API.

    Parameters:

    - filter (str) – May be used to filter billing periods by billingPeriodEndDate. The filter supports ‘eq’, ‘lt’, ‘gt’, ‘le’, ‘ge’, and ‘and’. It does not currently support ‘ne’, ‘or’, or ‘not’.
    - skiptoken (str) – Skiptoken is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skiptoken parameter that specifies a starting point to use for subsequent calls.
    - top (int) – May be used to limit the number of results to the most recent N billing periods.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of BillingPeriod
    Return type: | BillingPeriodPaged[BillingPeriod]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.billing.models' from '/usr/lib/python3/dist-packages/azure/mgmt/billing/models/__init__.py'>

class `azure.mgmt.billing.operations.``InvoicesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  InvoicesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. The current version is 2018-03-01-preview. Constant value: “2018-03-01-preview”.

  `get`(invoice_name, custom_headers=None, raw=False, **operation_config)

    Gets a named invoice resource. When getting a single invoice, the downloadUrl property is expanded automatically. This is only supported for Azure Web-Direct subscriptions. Other subscription types which were not purchased directly through the Azure web portal are not supported through this preview API.

    Parameters:

    - invoice_name (str) – The name of an invoice resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Invoice or ClientRawResponse if raw=true
    Return type: | Invoice or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_latest`(custom_headers=None, raw=False, **operation_config)

    Gets the most recent invoice. When getting a single invoice, the downloadUrl property is expanded automatically. This is only supported for Azure Web-Direct subscriptions. Other subscription types which were not purchased directly through the Azure web portal are not supported through this preview API.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Invoice or ClientRawResponse if raw=true
    Return type: | Invoice or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(expand=None, filter=None, skiptoken=None, top=None, custom_headers=None, raw=False, **operation_config)

    Lists the available invoices for a subscription in reverse chronological order beginning with the most recent invoice. In preview, invoices are available via this API only for invoice periods which end December 1, 2016 or later. This is only supported for Azure Web-Direct subscriptions. Other subscription types which were not purchased directly through the Azure web portal are not supported through this preview API.

    Parameters:

    - expand (str) – May be used to expand the downloadUrl property within a list of invoices. This enables download links to be generated for multiple invoices at once. By default, downloadURLs are not included when listing invoices.
    - filter (str) – May be used to filter invoices by invoicePeriodEndDate. The filter supports ‘eq’, ‘lt’, ‘gt’, ‘le’, ‘ge’, and ‘and’. It does not currently support ‘ne’, ‘or’, or ‘not’.
    - skiptoken (str) – Skiptoken is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skiptoken parameter that specifies a starting point to use for subsequent calls.
    - top (int) – May be used to limit the number of results to the most recent N invoices.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Invoice
    Return type: | InvoicePaged[Invoice]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.billing.models' from '/usr/lib/python3/dist-packages/azure/mgmt/billing/models/__init__.py'>

class `azure.mgmt.billing.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Version of the API to be used with the client request. The current version is 2018-03-01-preview. Constant value: “2018-03-01-preview”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available billing REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.billing.models' from '/usr/lib/python3/dist-packages/azure/mgmt/billing/models/__init__.py'>